import React, { useEffect } from "react";
import { useNavigate } from "react-router-dom";

type AuthProps = {
    children: JSX.Element | JSX.Element[],
}
export default function AuthComponent({children} : AuthProps){
    const navigate = useNavigate();

    const isLogged = true;

    useEffect(() => {
        // navigate needs to be wrapped in a useEffect so that it gets executed after the component is mounted. Otherwise it doesn't redirect
        if (!isLogged)
            navigate("/login", { replace: true });
    }, [isLogged])

    if (isLogged)
        return <>{children}</>;
}